FROM mcr.microsoft.com/windows/nanoserver:1809

RUN mkdir "C:\\node" && curl.exe -o "C:\\node\\node.zip"  https://nodejs.org/dist/v12.9.1/node-v12.9.1-win-x64.zip && \
	mkdir "C:\\Program Files\\node" && \
  	tar.exe -xf "C:\\node\\node.zip" -C "C:\\Program Files\\node" --strip-components=1

ENV PATH "C:\\Windows\\system32;C:\\Windows;C:\\Windows\\System32\\Wbem;C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\;C:\\Program Files\\node"

COPY "." "C:\\app"

CMD ["node.exe", "C:\\app\\main.js"]